/*****************************************************************************
 *   target.h:  Header file for NXP LPC288x Family Microprocessors
 *
 *   Copyright(C) 2007, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2007.02.01  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __TARGET_H 
#define __TARGET_H

#ifdef __cplusplus
   extern "C" {
#endif

//This segment should not be modified
#ifndef TRUE
#define TRUE  1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define Fcclk	60000000

/* Below Fpclk is primarily used for PCLK going to the
UART, since UART_FDR is set such Fractional Divider has
NO impact on the baudrate generator, thus, Fpclk is set
to 60Mhz, if the UART_FDR is set such Fractional Divider
has impact on the baud rate generation, then, Fpclk should
be set to 30000000. */
#define Fpclk	60000000

#define FLASH_ADDR		0x10400000
#define RAM_ADDR		0x400000

/* divided by 2 */
#define SYSFDCR0_MADD	0x48
#define SYSFDCR0_MSUB	0xB8

/* divided by 4 */
#define SYSFDCR1_MADD	0x48
#define SYSFDCR1_MSUB	0xE8

/* divided by 10 */
#define SYSFDCR3_MADD	0x48
#define SYSFDCR3_MSUB	0xF8

/* divied by 2 */
#define SYSFDCR5_MADD	0x48
#define SYSFDCR5_MSUB	0xB8

extern void ConfigurePLL( void );
extern void TargetResetInit( void );


#ifdef __cplusplus
   }
#endif
 
#endif /* end __TARGET_H */
/******************************************************************************
**                            End Of File
******************************************************************************/
